# 계약서/전자서명 목록 페이지 API

계약서 목록 페이지를 조회할 수 있는 API입니다.

<br>

## `GET` kit-api/v1/contracts/url

Method: GET\
Endpoint: kit-api/v1/contracts/url

<br>

## Example

```
...kit-api/v1/contracts/url
```

<br>

## Request Query

| Key               | Description                            | Required |
| ----------------- | -------------------------------------- | -------- |
| customerCustomKey | 해당 customKey 속성을 가진 고객과 연결된 계약서 목록을 조회 | no       |
| customerId        | 해당 id 속성을 가진 고객과 연결된 계약서 목록을 조회        | no       |
| hasNoCustomer     | 고객과 연결되지 않은 목록만 조회 (값: true)           | no       |

<br>

## Response

```json
{
  "ok": true, // api 성공
  "data": {
    "url": "https://www.prix.im/..." // 계약서 목록 페이지 url
  }
}
```

<br>

```json
{
  "ok": false, // api 실패
  "message": "error message", // Error가 존재하면 message(string)로 전달
  "errorCode": "ERROR_CODE"
}
```

<br>

| Status Code | Error Code                     | Description           |
| ----------- | ------------------------------ | --------------------- |
| 400         | INVALID\_CUSTOMER\_CUSTOM\_KEY | 규칙을 벗어난 customKey인 경우 |
| 404         | NOT\_FOUND\_CUSTOMER           | 존재하지 않는 고객인 경우        |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/signature/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
